> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Get a list of Vendors

GET https://api.gappify.com/v1/vendors

Retrieve a list of Vendors based on specified filters.

Reference: https://developers.gappify.com/api-reference/inbound-to-gappify/2/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Query parameters

- `per_page` (integer, optional)
- `page` (integer, optional)

## Response

### 200

- `list of VendorsResponse`

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### VendorsResponse

- `source_system_id` (string, required) — Vendor/Supplier value to designate uniqueness for upsert purposes, which will also be sent back in JE to the ERP system. This value will be used to match source data and perform upserts.
- `created_at` (datetime, required) — Created timestamp when object was created
- `created_by` (integer, required) — Email of the user who created the object
- `updated_at` (datetime, required) — Update timestamp when object was updated
- `last_modified_by` (integer, required) — ID of the user who modified the object last.
- `name` (string, required) — Vendor/Supplier name.
- `email` (string, required) — Vendor/Supplier Email+
- `primary_subsidiary_id` (string, required) — The primary subsidiary associated with the Vendor/Supplier. This is the g_source_system_id of the Vendor/Supplier's assigned subsidiary - if applicable. When leveraged, manual accrual entries will default to the subsidiary
- `currency_id` (string, required) — The primary currency id associated with this vendor/supplier. This is the g_source_system_id from source_coas.
- `inactive` (boolean, required) — Determines if the Vendor/Supplier is active
- `cc_email` (string, required) — Vendor/Supplier cc emails (multiple emails semicolon separate)
- `glaccount_debit_id` (string, optional) — Expense glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `glaccount_credit_id` (string, optional) — Liability glaccount id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `department_debit_id` (string, optional) — Expense department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `department_credit_id` (string, optional) — Liability department/cost center id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `class_debit_id` (string, optional) — Expense class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `class_credit_id` (string, optional) — Liability class id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `location_debit_id` (string, optional) — Expense location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `location_credit_id` (string, optional) — Liability location id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `product_debit_id` (string, optional) — Expense product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `product_credit_id` (string, optional) — Liability product id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `project_debit_id` (string, optional) — Expense project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `project_credit_id` (string, optional) — Liability project id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `region_debit_id` (string, optional) — Expense region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `region_credit_id` (string, optional) — Liability region id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `company_debit_id` (string, optional) — Expense company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `company_credit_id` (string, optional) — Liability company id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `intercompany_debit_id` (string, optional) — Expense intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `intercompany_credit_id` (string, optional) — Liability intercompany id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `channel_debit_id` (string, optional) — Expense channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.
- `channel_credit_id` (string, optional) — Liability channel id linked to the vendor/supplier. This value should match the g_source_system_id in source_coas.

## Examples

**Response**

```json
[
  {
    "source_system_id": "source_system_id",
    "created_at": "2024-01-15T09:30:00Z",
    "created_by": 1,
    "updated_at": "2024-01-15T09:30:00Z",
    "last_modified_by": 1,
    "name": "name",
    "email": "email",
    "primary_subsidiary_id": "primary_subsidiary_id",
    "currency_id": "currency_id",
    "inactive": true,
    "cc_email": "cc_email",
    "glaccount_debit_id": "glaccount_debit_id",
    "glaccount_credit_id": "glaccount_credit_id",
    "department_debit_id": "department_debit_id",
    "department_credit_id": "department_credit_id",
    "class_debit_id": "class_debit_id",
    "class_credit_id": "class_credit_id",
    "location_debit_id": "location_debit_id",
    "location_credit_id": "location_credit_id",
    "product_debit_id": "product_debit_id",
    "product_credit_id": "product_credit_id",
    "project_debit_id": "project_debit_id",
    "project_credit_id": "project_credit_id",
    "region_debit_id": "region_debit_id",
    "region_credit_id": "region_credit_id",
    "company_debit_id": "company_debit_id",
    "company_credit_id": "company_credit_id",
    "intercompany_debit_id": "intercompany_debit_id",
    "intercompany_credit_id": "intercompany_credit_id",
    "channel_debit_id": "channel_debit_id",
    "channel_credit_id": "channel_credit_id"
  },
  {
    "source_system_id": "source_system_id",
    "created_at": "2024-01-15T09:30:00Z",
    "created_by": 1,
    "updated_at": "2024-01-15T09:30:00Z",
    "last_modified_by": 1,
    "name": "name",
    "email": "email",
    "primary_subsidiary_id": "primary_subsidiary_id",
    "currency_id": "currency_id",
    "inactive": true,
    "cc_email": "cc_email",
    "glaccount_debit_id": "glaccount_debit_id",
    "glaccount_credit_id": "glaccount_credit_id",
    "department_debit_id": "department_debit_id",
    "department_credit_id": "department_credit_id",
    "class_debit_id": "class_debit_id",
    "class_credit_id": "class_credit_id",
    "location_debit_id": "location_debit_id",
    "location_credit_id": "location_credit_id",
    "product_debit_id": "product_debit_id",
    "product_credit_id": "product_credit_id",
    "project_debit_id": "project_debit_id",
    "project_credit_id": "project_credit_id",
    "region_debit_id": "region_debit_id",
    "region_credit_id": "region_credit_id",
    "company_debit_id": "company_debit_id",
    "company_credit_id": "company_credit_id",
    "intercompany_debit_id": "intercompany_debit_id",
    "intercompany_credit_id": "intercompany_credit_id",
    "channel_debit_id": "channel_debit_id",
    "channel_credit_id": "channel_credit_id"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/vendors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/vendors';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/vendors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/vendors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gappify.com/v1/vendors")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gappify.com/v1/vendors', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/vendors");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/vendors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```